path: /build/build/kwayland-server-kde-plasma-5-5.24.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge kde-plasma/kwayland-server:5 -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps kde-plasma/kwayland-server:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kwayland-server && luet-portage --dir
    /pkgdir/kwayland-server kde-plasma/kwayland-server:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: kwayland-server
    version: 5.24.5
    category: kde-plasma-5
    use_flags:
    - -doc
    - -test
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Wayland Server Components built on KDE Frameworks
    uri:
    - https://invent.kde.org/plasma/kwayland-server
    license: LGPL-2.1
    buildtimestamp: 2023-09-30 22:13:12.091256215 +0000 UTC m=+151.256694086
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        doc? ( >=dev-qt/qthelp-5.15.2:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-libs/wayland-1.18.0 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtgui-5.15.2:5[egl]
        >=dev-qt/qtwayland-5.15.2:5 >=kde-frameworks/kwayland-5.98.0:5 media-libs/mesa[egl]
        >=dev-libs/plasma-wayland-protocols-1.1.1 >=dev-libs/wayland-protocols-1.18
        dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5
        ) >=dev-qt/qtcore-5.15.2:5 doc? ( >=dev-qt/qt-docs-5.15.2:5 ) dev-util/desktop-file-utils'
      IUSE: debug doc test
      RDEPEND: '>=dev-libs/wayland-1.18.0 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtgui-5.15.2:5[egl]
        >=dev-qt/qtwayland-5.15.2:5 >=kde-frameworks/kwayland-5.98.0:5 media-libs/mesa[egl]
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5 doc? ( >=dev-qt/qt-docs-5.15.2:5 )'
      emerge.packages: kde-plasma/kwayland-server:5
      kit: kde-kit
      original.package.name: kde-plasma/kwayland-server
      original.package.slot: "5"
      original.package.version: 5.24.5
    treedir: /build/packages
  package_dir: /pkgdir/kwayland-server
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9a91ea8341ede0df2b92dc196f2db62e1f5c19065634a49971be469017c3b9d6
compressiontype: zstd
files:
- usr/include/KWaylandServer/abstract_data_source.h
- usr/include/KWaylandServer/abstract_drop_handler.h
- usr/include/KWaylandServer/appmenu_interface.h
- usr/include/KWaylandServer/blur_interface.h
- usr/include/KWaylandServer/clientbuffer.h
- usr/include/KWaylandServer/clientbufferintegration.h
- usr/include/KWaylandServer/clientconnection.h
- usr/include/KWaylandServer/compositor_interface.h
- usr/include/KWaylandServer/contrast_interface.h
- usr/include/KWaylandServer/datacontroldevice_v1_interface.h
- usr/include/KWaylandServer/datacontroldevicemanager_v1_interface.h
- usr/include/KWaylandServer/datacontroloffer_v1_interface.h
- usr/include/KWaylandServer/datacontrolsource_v1_interface.h
- usr/include/KWaylandServer/datadevice_interface.h
- usr/include/KWaylandServer/datadevicemanager_interface.h
- usr/include/KWaylandServer/dataoffer_interface.h
- usr/include/KWaylandServer/datasource_interface.h
- usr/include/KWaylandServer/display.h
- usr/include/KWaylandServer/dpms_interface.h
- usr/include/KWaylandServer/drmclientbuffer.h
- usr/include/KWaylandServer/drmleasedevice_v1_interface.h
- usr/include/KWaylandServer/fakeinput_interface.h
- usr/include/KWaylandServer/filtered_display.h
- usr/include/KWaylandServer/idle_interface.h
- usr/include/KWaylandServer/idleinhibit_v1_interface.h
- usr/include/KWaylandServer/inputmethod_v1_interface.h
- usr/include/KWaylandServer/keyboard_interface.h
- usr/include/KWaylandServer/keyboard_shortcuts_inhibit_v1_interface.h
- usr/include/KWaylandServer/keystate_interface.h
- usr/include/KWaylandServer/kwaylandserver_export.h
- usr/include/KWaylandServer/layershell_v1_interface.h
- usr/include/KWaylandServer/linuxdmabufv1clientbuffer.h
- usr/include/KWaylandServer/output_interface.h
- usr/include/KWaylandServer/outputchangeset_v2.h
- usr/include/KWaylandServer/outputconfiguration_v2_interface.h
- usr/include/KWaylandServer/outputdevice_v2_interface.h
- usr/include/KWaylandServer/outputmanagement_v2_interface.h
- usr/include/KWaylandServer/plasmashell_interface.h
- usr/include/KWaylandServer/plasmavirtualdesktop_interface.h
- usr/include/KWaylandServer/plasmawindowmanagement_interface.h
- usr/include/KWaylandServer/pointer_interface.h
- usr/include/KWaylandServer/pointerconstraints_v1_interface.h
- usr/include/KWaylandServer/pointergestures_v1_interface.h
- usr/include/KWaylandServer/primaryoutput_v1_interface.h
- usr/include/KWaylandServer/primaryselectiondevice_v1_interface.h
- usr/include/KWaylandServer/primaryselectiondevicemanager_v1_interface.h
- usr/include/KWaylandServer/primaryselectionoffer_v1_interface.h
- usr/include/KWaylandServer/primaryselectionsource_v1_interface.h
- usr/include/KWaylandServer/relativepointer_v1_interface.h
- usr/include/KWaylandServer/screencast_v1_interface.h
- usr/include/KWaylandServer/seat_interface.h
- usr/include/KWaylandServer/server_decoration_interface.h
- usr/include/KWaylandServer/server_decoration_palette_interface.h
- usr/include/KWaylandServer/shadow_interface.h
- usr/include/KWaylandServer/shmclientbuffer.h
- usr/include/KWaylandServer/slide_interface.h
- usr/include/KWaylandServer/subcompositor_interface.h
- usr/include/KWaylandServer/surface_interface.h
- usr/include/KWaylandServer/tablet_v2_interface.h
- usr/include/KWaylandServer/textinput.h
- usr/include/KWaylandServer/textinput_v2_interface.h
- usr/include/KWaylandServer/textinput_v3_interface.h
- usr/include/KWaylandServer/touch_interface.h
- usr/include/KWaylandServer/utils.h
- usr/include/KWaylandServer/viewporter_interface.h
- usr/include/KWaylandServer/xdgactivation_v1_interface.h
- usr/include/KWaylandServer/xdgdecoration_v1_interface.h
- usr/include/KWaylandServer/xdgforeign_v2_interface.h
- usr/include/KWaylandServer/xdgoutput_v1_interface.h
- usr/include/KWaylandServer/xdgshell_interface.h
- usr/include/kwaylandserver_version.h
- usr/lib64/cmake/KWaylandServer/KWaylandServerConfig.cmake
- usr/lib64/cmake/KWaylandServer/KWaylandServerConfigVersion.cmake
- usr/lib64/cmake/KWaylandServer/KWaylandServerTargets-gentoo.cmake
- usr/lib64/cmake/KWaylandServer/KWaylandServerTargets.cmake
- usr/lib64/libKWaylandServer.so
- usr/lib64/libKWaylandServer.so.5
- usr/lib64/libKWaylandServer.so.5.24.5
- usr/share/doc/kwayland-server-5.24.5/README.md.bz2
- usr/share/qlogging-categories5/kwaylandserver.categories
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/BDEPEND
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/BUILD_TIME
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/CATEGORY
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/CBUILD
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/CFLAGS
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/CHOST
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/CONTENTS
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/COUNTER
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/CXXFLAGS
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/DEFINED_PHASES
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/DEPEND
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/DESCRIPTION
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/EAPI
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/FEATURES
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/HOMEPAGE
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/INHERITED
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/IUSE
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/KEYWORDS
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/LDFLAGS
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/LICENSE
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/NEEDED
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/PF
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/PROVIDES
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/RDEPEND
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/REQUIRES
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/RESTRICT
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/SIZE
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/SLOT
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/USE
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/environment.bz2
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/kwayland-server-5.24.5.ebuild
- var/db/pkg/kde-plasma/kwayland-server-5.24.5/repository
package_cacheimage: ""
runtime:
  name: kwayland-server
  version: 5.24.5
  category: kde-plasma-5
  use_flags:
  - -doc
  - -test
  requires:
  - name: kwayland
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Wayland Server Components built on KDE Frameworks
  uri:
  - https://invent.kde.org/plasma/kwayland-server
  license: LGPL-2.1
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      doc? ( >=dev-qt/qthelp-5.15.2:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-libs/wayland-1.18.0 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtgui-5.15.2:5[egl]
      >=dev-qt/qtwayland-5.15.2:5 >=kde-frameworks/kwayland-5.98.0:5 media-libs/mesa[egl]
      >=dev-libs/plasma-wayland-protocols-1.1.1 >=dev-libs/wayland-protocols-1.18
      dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5
      ) >=dev-qt/qtcore-5.15.2:5 doc? ( >=dev-qt/qt-docs-5.15.2:5 ) dev-util/desktop-file-utils'
    IUSE: debug doc test
    RDEPEND: '>=dev-libs/wayland-1.18.0 >=dev-qt/qtconcurrent-5.15.2:5 >=dev-qt/qtgui-5.15.2:5[egl]
      >=dev-qt/qtwayland-5.15.2:5 >=kde-frameworks/kwayland-5.98.0:5 media-libs/mesa[egl]
      >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.2:5 doc? ( >=dev-qt/qt-docs-5.15.2:5 )'
    emerge.packages: kde-plasma/kwayland-server:5
    kit: kde-kit
    original.package.name: kde-plasma/kwayland-server
    original.package.slot: "5"
    original.package.version: 5.24.5
